Linux repositories inspector

phpmyadmin - PHP and hence web-based tool to administrate MySQL over the WWW

phpMyAdmin can manage a whole MySQL server (needs a super-user) as well as a single database. To accomplish the latter you'll need a properly set up MySQL user who can read/write only the desired database. It's up to you to look up the appropriate part in the MySQL manual.

Currently phpMyAdmin can:
  • browse and drop databases, tables, views, fields and indexes
  • create, copy, drop, rename and alter databases, tables, fields and indexes
  • maintenance server, databases and tables, with proposals on server configuration
  • execute, edit and bookmark any SQL-statement, even batch-queries
  • load text files into tables
  • create^1 and read dumps of tables
  • export^1 data to various formats: CSV, XML, PDF, ISO/IEC 26300 - OpenDocument Text and Spreadsheet, Word, Excel and L^AT[E]X formats
  • import data and MySQL structures from Microsoft Excel and OpenDocument spreadsheets, as well as XML, CSV, and SQL files
  • administer multiple servers
  • manage MySQL users and privileges
  • check referential integrity in MyISAM tables
  • using Query-by-example (QBE), create complex queries automatically connecting required tables
  • create PDF graphics of your Database layout
  • search globally in a database or a subset of it
  • transform stored data into any format using a set of predefined functions, like displaying BLOB-data as image or download-link
  • track changes on databases, tables and views
  • support InnoDB tables and foreign keys (see FAQ 3.6)
  • support mysqli, the improved MySQL extension (see FAQ 1.17)
  • communicate in 57 different languages
  • synchronize two databases residing on the same as well as remote servers (see FAQ 9.1)
4.9.2
Arch iconArch rolling
Fedora iconFedora rawhide
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Tumbleweed
4.9.1
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
4.9.0.1
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Leap 42.3
4.8.5
Fedora iconFedora 30
Manjaro iconManjaro rolling
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Leap 42.3
4.8.4
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 42.3
4.8.3
Fedora iconFedora 29
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 42.3
4.8.2
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 42.3
4.8.0.1
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 42.3
4.8.0
Fedora iconFedora 28
4.7.8
OpenSUSE iconOpenSUSE Leap 42.3
4.7.7
OpenSUSE iconOpenSUSE Leap 42.3
4.7.5
OpenSUSE iconOpenSUSE Leap 42.3
4.7.1
OpenSUSE iconOpenSUSE Leap 42.3
4.6.6
Debian iconDebian 9.0
Ubuntu iconUbuntu 17.10
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
4.5.4.1
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Arch iconArch rolling community/osxz4.9.2-1Nov 266.07 MiB33.2 MiB
Debian iconDebian 9.0 stretch/maindeb4:4.6.6-42017-11-103.73 MiB23.6 MiB
Fedora iconFedora 28 releases/Everything-osrpm4.8.0-1.fc28Jan 145.12 MiB24.4 MiBFedora Project
Fedora iconFedora 28 releases/Server-osrpm4.8.0-1.fc28Jan 145.12 MiB24.4 MiBFedora Project
Fedora iconFedora 29 releases/Everything-osrpm4.8.3-1.fc29Jan 145.17 MiB24.9 MiBFedora Project
Fedora iconFedora 29 releases/Server-osrpm4.8.3-1.fc29Jan 145.17 MiB24.9 MiBFedora Project
Fedora iconFedora 29 releases-test/Everything-osrpm4.8.3-1.fc29Jan 145.17 MiB24.9 MiBFedora Project
Fedora iconFedora 29 releases-test/Server-osrpm4.8.3-1.fc29Jan 145.17 MiB24.9 MiBFedora Project
Fedora iconFedora 30 releases/Everything-osrpm4.8.5-2.fc30Jun 175.21 MiB25 MiBFedora Project
Fedora iconFedora 30 releases/Server-osrpm4.8.5-2.fc30Jun 175.21 MiB25 MiBFedora Project
Fedora iconFedora 30 releases-test/Server-osrpm4.8.5-2.fc30Jun 175.21 MiB25 MiBFedora Project
Fedora iconFedora rawhide development/Everything-osrpm4.9.2-2.fc3204:274.99 MiB26 MiBFedora Project
Manjaro iconManjaro rolling stable/communityxz4.8.5-1Feb 196.02 MiB34.4 MiB
Manjaro iconManjaro rolling testing/communityxz4.8.5-1Feb 126.02 MiB34.4 MiB
Manjaro iconManjaro rolling unstable/communityxz4.8.5-1Jan 306.02 MiB34.4 MiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm4.8.0.1-lp150.1.1Jan 176.26 MiB31.2 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.9.2-lp150.37.10 - 09:476.39 MiB32.9 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.9.1-lp150.34.1Sep 286.49 MiB33.1 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.9.0.1-lp150.31.1Jul 026.35 MiB32.7 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.8.5-lp150.2.15.1Feb 186.38 MiB31.9 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.8.4-lp150.2.12.1Jan 186.36 MiB31.8 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.8.3-lp150.2.9.1Jan 186.33 MiB31.8 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.8.2-lp150.2.6.1Jan 186.25 MiB31.2 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.8.2-lp150.2.3.1Jan 186.26 MiB31.2 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm4.8.5-lp151.1.1Feb 196.38 MiB31.9 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 update/ossrpm4.9.2-lp151.2.9.10 - 10:316.39 MiB32.9 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 update/ossrpm4.9.1-lp151.2.6.1Sep 286.49 MiB33.1 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 update/ossrpm4.9.0.1-lp151.2.3.1Jul 026.35 MiB32.7 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm4.7.1-1.1Jan 175.85 MiB29.3 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.9.0.1-31.1Jul 026.35 MiB32.7 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.5-27.1Feb 196.3 MiB31.9 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.4-24.1Jan 216.29 MiB31.8 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.3-21.1Jan 216.26 MiB31.8 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.2-18.1Jan 216.18 MiB31.2 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.2-15.1Jan 216.18 MiB31.2 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.8.0.1-12.1Jan 216.19 MiB31.2 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.7.8-9.1Jan 216.51 MiB33.7 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.7.7-6.1Jan 216.73 MiB34.6 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm4.7.5-3.1Jan 216.56 MiB33.9 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm4.9.2-1.101:176.32 MiB32.9 MiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 17.10 artful/universedeb4:4.6.6-52017-11-103.68 MiB23.9 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb4:4.6.6-52017-11-103.68 MiB23.9 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb4:4.6.6-5Jan 143.68 MiB23.9 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb4:4.6.6-5Jan 143.68 MiB23.9 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/universedeb4:4.5.4.1-2ubuntu12017-11-103.75 MiB23.8 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/universedeb4:4.5.4.1-2ubuntu2.1Jan 123.76 MiB23.8 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/universedeb4:4.5.4.1-2ubuntu2.1Jan 123.76 MiB23.8 MiB

Applications

phpMyAdmin icon

phpMyAdmin

MySQL management over web

Manual pages

pma-configure(8)

pma-configure - enables configuration of phpMyAdmin installation

pma-secure(8)

pma-secure - secures phpMyAdmin installation

Latest updates

Fedora rawhide icon

Fedora rawhide development/Everything-os: Updated from 4.9.2-1.fc32 to 4.9.2-2.fc32

04:27
  • drop dependency on php-recode (mbstring preferred)
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 4.9.1-1.1 to 4.9.2-1.1

01:17
  • phpMyAdmin 4.9.2:
    • CVE-2019-18622: SQL injection in Designer feature (boo#1157614)
    • Fixes for "Failed to set session cookie" error
    • Advisor with MySQL 8.0.3 and newer
    • Fix PHP deprecation errors
    • Fix a situation where exporting users after a delete query could remove users
    • Fix incorrect "You do not have privileges to manipulate with the users!" warning
    • Fix copying a database's privileges and several other problems moving columns with MariaDB
    • Fix for phpMyAdmin not selecting all the values when using shift-click to select during Export
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 update/oss: Updated from 4.9.1-lp151.2.6.1 to 4.9.2-lp151.2.9.1

0 - 10:31
  • phpMyAdmin 4.9.2:
    • CVE-2019-18622: SQL injection in Designer feature (boo#1157614)
    • Fixes for "Failed to set session cookie" error
    • Advisor with MySQL 8.0.3 and newer
    • Fix PHP deprecation errors
    • Fix a situation where exporting users after a delete query could remove users
    • Fix incorrect "You do not have privileges to manipulate with the users!" warning
    • Fix copying a database's privileges and several other problems moving columns with MariaDB
    • Fix for phpMyAdmin not selecting all the values when using shift-click to select during Export
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Updated from 4.9.1-lp150.34.1 to 4.9.2-lp150.37.1

0 - 09:47
  • phpMyAdmin 4.9.2:
    • CVE-2019-18622: SQL injection in Designer feature (boo#1157614)
    • Fixes for "Failed to set session cookie" error
    • Advisor with MySQL 8.0.3 and newer
    • Fix PHP deprecation errors
    • Fix a situation where exporting users after a delete query could remove users
    • Fix incorrect "You do not have privileges to manipulate with the users!" warning
    • Fix copying a database's privileges and several other problems moving columns with MariaDB
    • Fix for phpMyAdmin not selecting all the values when using shift-click to select during Export
Fedora rawhide icon

Fedora rawhide development/Everything-os: Updated from 4.9.1-1.fc32 to 4.9.2-1.fc32

Nov 26
  • update to 4.9.2 (2019-11-22, bugfix and security release)
Arch rolling icon

Arch rolling community/os: Updated from 4.9.1-1 to 4.9.2-1

Nov 26
Fedora rawhide icon

Fedora rawhide development/Everything-os: Updated from 4.9.0.1-2.fc31 to 4.9.1-1.fc32

Sep 29
  • update to 4.9.1 (2019-09-21, bug fix release)
  • add tarball signature check
  • allow twig version 2
Arch rolling icon

Arch rolling community/os: Updated from 4.9.0.1-1 to 4.9.1-1

Sep 28
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 update/oss: Updated from 4.9.0.1-lp151.2.3.1 to 4.9.1-lp151.2.6.1

Sep 28
  • phpMyAdmin 4.9.1:
    • CVE-2019-12922: hardening against CSRF (boo#1150914)
    • Editing columns with CURRENT_TIMESTAMP for MySQL versions 8.0.13 and newer
    • Compatibility issues with PHP 8
    • Export of GIS visualization
    • Enhanced descriptions for several collation types
    • Creating a user with a single quote in the password string
    • Unexpected quotes during import and export on text fields
    • Improvements to adding new tables to Designer
    • Fix an issue where an authenticated user could trigger heavy traffic between the database server and web server
    • Fix a weakness where an attacker, under certain conditions, working at the same time as an administrator is using the setup script, could delete a server from the setup script
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Updated from 4.9.0.1-lp150.31.1 to 4.9.1-lp150.34.1

Sep 28
  • phpMyAdmin 4.9.1:
    • CVE-2019-12922: hardening against CSRF (boo#1150914)
    • Editing columns with CURRENT_TIMESTAMP for MySQL versions 8.0.13 and newer
    • Compatibility issues with PHP 8
    • Export of GIS visualization
    • Enhanced descriptions for several collation types
    • Creating a user with a single quote in the password string
    • Unexpected quotes during import and export on text fields
    • Improvements to adding new tables to Designer
    • Fix an issue where an authenticated user could trigger heavy traffic between the database server and web server
    • Fix a weakness where an attacker, under certain conditions, working at the same time as an administrator is using the setup script, could delete a server from the setup script
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 4.9.0.1-2.1 to 4.9.1-1.1

Sep 27
  • phpMyAdmin 4.9.1:
    • CVE-2019-12922: hardening against CSRF (boo#1150914)
    • Editing columns with CURRENT_TIMESTAMP for MySQL versions 8.0.13 and newer
    • Compatibility issues with PHP 8
    • Export of GIS visualization
    • Enhanced descriptions for several collation types
    • Creating a user with a single quote in the password string
    • Unexpected quotes during import and export on text fields
    • Improvements to adding new tables to Designer
    • Fix an issue where an authenticated user could trigger heavy traffic between the database server and web server
    • Fix a weakness where an attacker, under certain conditions, working at the same time as an administrator is using the setup script, could delete a server from the setup script
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 removed

Sep 04
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 reintroduced

Aug 19
  • Add alternate dependency to php-mysqli. This seems to help in case people are using the package with other than default PHP.
  • Debconf translations update (Ukrainian, Portuguese, Kabyle and French).
  • Fix open_basedir setting for PHP 7 (Closes: #867882).
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 removed

Aug 19
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 reintroduced

Aug 15
  • Add alternate dependency to php-mysqli. This seems to help in case people are using the package with other than default PHP.
  • Debconf translations update (Ukrainian, Portuguese, Kabyle and French).
  • Fix open_basedir setting for PHP 7 (Closes: #867882).
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 removed

Aug 15
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 reintroduced

Aug 15
  • Add alternate dependency to php-mysqli. This seems to help in case people are using the package with other than default PHP.
  • Debconf translations update (Ukrainian, Portuguese, Kabyle and French).
  • Fix open_basedir setting for PHP 7 (Closes: #867882).
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 removed

Aug 15
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 reintroduced

Aug 14
  • Add alternate dependency to php-mysqli. This seems to help in case people are using the package with other than default PHP.
  • Debconf translations update (Ukrainian, Portuguese, Kabyle and French).
  • Fix open_basedir setting for PHP 7 (Closes: #867882).
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 4:4.6.6-5 removed

Aug 14
⇧ Top